#include<bits/stdc++.h>
#define ll long long
#define ull unsigned long long
#define pb push_back
#define mk make_pair
#define v_sort(x) sort(x.begin(),x.end())
#define v_gsort(x) sort(x.begin(),x.end(),greater<int>())
#define v_find(x,num) find(x.begin(),x.end(),num)
#define PI 3.14159265
#define MOD 998244353
#define MOD1 1000000007

using namespace std;

void Solve(){
  ll n;
  cin>>n;
  vector<pair<double,ll>>a(n);
  for(int i=0;i<n;i++) cin>>a[i].second>>a[i].first;
  v_sort(a);
  vector<ll>suffix(n);
  suffix[n-1]=a[n-1].second;
  for(int i=n-2;i>=0;i--) suffix[i]=suffix[i+1]+a[i].second;
  double mx=0.00;
  for(int i=0;i<n;i++) {mx=max((suffix[i]*a[i].first)/100,mx);}
  cout<<fixed<<mx;
}

int main(){
  ios::sync_with_stdio(false);
  cin.tie(NULL);
  int t=1;
//  cin>>t;
  while(t--){
    Solve();
  }
  return 0;
}